## mol-modules 0.9.61-3

=== debian/changelog ===
mol-modules (0.9.61-3) unstable; urgency=low

  * Upgraded to new version of the mol-modules-source package.
  
  * The package does not recommend the matching kernel-image package any
    more (closes: Bug#121293).  Instead, it suggests a selection of
    kernel-image packages that are known to work with these particular
    modules.

 -- Jens Schmalzing <jensen@debian.org>  Tue, 18 Dec 2001 14:41:06 +0100

mol-modules (0.9.61-2) unstable; urgency=low

  * Upgraded to new version of the mol-modules-source package.

  * Removed kernel version 2.2.18pre21.

 -- Jens Schmalzing <jensen@debian.org>  Sun, 18 Nov 2001 21:14:52 +0000

mol-modules (0.9.60-2) unstable; urgency=low

  * Initial Release.  Version number matches the mol-modules-source
    package that was used to compile these packages.

 -- Jens Schmalzing <jensen@debian.org>  Thu, 16 Aug 2001 14:55:00 +0200

Local variables:
iso-accents-mode: t
End:
