=== debian/control ===
Source: mol-modules
Section: contrib/otherosfs
Priority: optional
Maintainer: Jens Schmalzing <jensen@debian.org>
Build-Depends: debhelper (>> 3.0.0), mol-modules-source (= 0.9.61-3), kernel-package, m4, kernel-headers-2.2.19 | kernel-source-2.2.19
Standards-Version: 3.5.2

Package: mol-modules-2.2.19
Architecture: powerpc
Provides: mol-modules
Suggests: kernel-image-2.2.19 | kernel-image-2.2.19-pmac
Description: The Mac-on-Linux emulator - kernel modules for 2.2.19
 .
 Mac-on-Linux is basically an emulator capable of running
 MacOS on most Debian/PowerPC machines.  However, several
 things are not emulated -- in particular, the processor
 runs natively, which makes Mac-on-Linux very fast.  The
 main drawback is the need for special support code in the
 kernel.
 .
 This package contains the kernel modules sheep_net and
 mol for kernel version 2.2.19.
