=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

VERSIONS = 2.2.19

# This overrides a number of variables that are normally set by make-kpkg
export KSRC=$(PWD)/kernel-headers-$$version
export KVERS=$$version
export BUILD_ROOT=$(PWD)/debian/mol-modules-$$version

configure: configure-stamp
configure-stamp:
	dh_testdir

	for version in $(VERSIONS); do \
	if [ -d /usr/src/kernel-headers-$$version ]; then \
		echo "Kernel headers for $$version exist."; \
	else \
		echo "Creating kernel headers for $$version from source."; \
		tar jxf /usr/src/kernel-source-$$version.tar.bz2; \
		cp -p config-$$version kernel-source-$$version/.config; \
		make -C kernel-source-$$version oldconfig depend; \
	fi; done

# unpack the source for the modules
	tar zxf /usr/src/mol-modules.tar.gz

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

# do away with everything
	rm -rf modules
	for version in $(VERSIONS); do rm -rf kernel-source-$$version; done

	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# build, install, and clean the modules for each kernel version
	for version in $(VERSIONS); do \
	if [ -d /usr/src/kernel-headers-$$version ]; then \
		export KVERS=$$version; \
		export KSRC=/usr/src/kernel-headers-$$version; \
		make -C modules/mol BUILD_ROOT=$(PWD)/debian/mol-modules-$$version install; \
		make -C modules/mol BUILD_ROOT=$(PWD)/debian/dummy clean; \
	else \
		export KVERS=$$version; \
		export KSRC=$(PWD)/kernel-source-$$version; \
		make -C modules/mol BUILD_ROOT=$(PWD)/debian/mol-modules-$$version install; \
		make -C modules/mol BUILD_ROOT=$(PWD)/debian/dummy clean; \
	fi; done

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Any other binary targets build just one binary package at a time.
binary-%: build install
        make -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
