=== debian/control ===
Source: mol-modules
Section: otherosfs
Priority: optional
Maintainer: Jens Schmalzing <jensen@debian.org>
Build-Depends: debhelper, modutils, kernel-build-2.4.25-power3 (=2.4.25-8), kernel-build-2.4.25-power4 (=2.4.25-8), kernel-build-2.4.25-powerpc (=2.4.25-8), kernel-build-2.4.25-powerpc-small (=2.4.25-8), kernel-build-2.4.25-powerpc-smp (=2.4.25-8), kernel-patch-2.4.25-powerpc, mol-modules-source
Standards-Version: 3.6.0

Package: mol-modules-2.4.25-power3
Architecture: powerpc
Provides: mol-modules
Depends: kernel-image-2.4.25-power3-pmac (=2.4.25-8) | kernel-image-2.4.25-power3-chrp (=2.4.25-8) | kernel-image-2.4.25-power3-chrp-rs6k (=2.4.25-8) | kernel-image-2.4.25-power3-prep (=2.4.25-8)
Description: The Mac-on-Linux emulator - kernel modules for 2.4.25-power3
 .
 Mac-on-Linux is basically an emulator capable of running
 MacOS on most Debian/PowerPC machines.  However, several
 things are not emulated -- in particular, the processor
 runs natively, which makes Mac-on-Linux very fast.  The
 main drawback is the need for special support code in the
 kernel.
 .
 This package contains the kernel modules sheep and mol
 for kernel version 2.4.25-power3.

Package: mol-modules-2.4.25-power4
Architecture: powerpc
Provides: mol-modules
Depends: kernel-image-2.4.25-power4-pmac (=2.4.25-8) | kernel-image-2.4.25-power4-chrp (=2.4.25-8) | kernel-image-2.4.25-power4-chrp-rs6k (=2.4.25-8) | kernel-image-2.4.25-power4-prep (=2.4.25-8)
Description: The Mac-on-Linux emulator - kernel modules for 2.4.25-power4
 .
 Mac-on-Linux is basically an emulator capable of running
 MacOS on most Debian/PowerPC machines.  However, several
 things are not emulated -- in particular, the processor
 runs natively, which makes Mac-on-Linux very fast.  The
 main drawback is the need for special support code in the
 kernel.
 .
 This package contains the kernel modules sheep and mol
 for kernel version 2.4.25-power4.

Package: mol-modules-2.4.25-powerpc
Architecture: powerpc
Provides: mol-modules
Depends: kernel-image-2.4.25-powerpc-pmac (=2.4.25-8) | kernel-image-2.4.25-powerpc-chrp (=2.4.25-8) | kernel-image-2.4.25-powerpc-chrp-rs6k (=2.4.25-8) | kernel-image-2.4.25-powerpc-prep (=2.4.25-8)
Description: The Mac-on-Linux emulator - kernel modules for 2.4.25-powerpc
 .
 Mac-on-Linux is basically an emulator capable of running
 MacOS on most Debian/PowerPC machines.  However, several
 things are not emulated -- in particular, the processor
 runs natively, which makes Mac-on-Linux very fast.  The
 main drawback is the need for special support code in the
 kernel.
 .
 This package contains the kernel modules sheep and mol
 for kernel version 2.4.25-powerpc.

Package: mol-modules-2.4.25-powerpc-small
Architecture: powerpc
Provides: mol-modules
Depends: kernel-image-2.4.25-powerpc-small-pmac (=2.4.25-8) | kernel-image-2.4.25-powerpc-small-chrp (=2.4.25-8) | kernel-image-2.4.25-powerpc-small-chrp-rs6k (=2.4.25-8) | kernel-image-2.4.25-powerpc-small-prep (=2.4.25-8)
Description: The Mac-on-Linux emulator - kernel modules for 2.4.25-powerpc-small
 .
 Mac-on-Linux is basically an emulator capable of running
 MacOS on most Debian/PowerPC machines.  However, several
 things are not emulated -- in particular, the processor
 runs natively, which makes Mac-on-Linux very fast.  The
 main drawback is the need for special support code in the
 kernel.
 .
 This package contains the kernel modules sheep and mol
 for kernel version 2.4.25-powerpc-small.

Package: mol-modules-2.4.25-powerpc-smp
Architecture: powerpc
Provides: mol-modules
Depends: kernel-image-2.4.25-powerpc-smp-pmac (=2.4.25-8) | kernel-image-2.4.25-powerpc-smp-chrp (=2.4.25-8) | kernel-image-2.4.25-powerpc-smp-chrp-rs6k (=2.4.25-8) | kernel-image-2.4.25-powerpc-smp-prep (=2.4.25-8)
Description: The Mac-on-Linux emulator - kernel modules for 2.4.25-powerpc-smp
 .
 Mac-on-Linux is basically an emulator capable of running
 MacOS on most Debian/PowerPC machines.  However, several
 things are not emulated -- in particular, the processor
 runs natively, which makes Mac-on-Linux very fast.  The
 main drawback is the need for special support code in the
 kernel.
 .
 This package contains the kernel modules sheep and mol
 for kernel version 2.4.25-powerpc-smp.
